
// component/imageSwiper/imageSwiper.js
var app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

Component({
	/**
	 * 组件的属性列表
	 */
	properties: {
		imageData: {
			type: Array,
			value: [],
		},
  },
  attached () {},
	/**
	 * 组件的初始数据
	 */
	data: {
    imgUrls: [],
    indicatorDots: true,
    autoplay: true,
    interval: 5000,
    duration: 1000
	},
	/**
	 * 组件的方法列表
	 */
	methods: {
		 preview(e) {
			const {appid, path} = e.currentTarget.dataset
			// 获取当前帐号信息
			const accountInfo = utils.getAccountInfo()

			// 是当前小程序 直接跳转
			if(accountInfo.miniProgram.appId == appid){
				wxService.router(`${path}`)
			} else {
				// 	跳转其他小程序
				wx.navigateToMiniProgram({
					appId: appid,
					path: `${path}`,
					success: e => {
						console.log(e)
					},
					fail: e => {
						console.log(e)
					},
					complete: e => {
						console.log(e)
					},
				})
			}
    }
  }
})
